<?php

/**
 * @file
 * Provides a base class for Git Commit entity.
 */

/**
 * The class used for Git commit entities.
 */
class GitCommit extends Entity {

  /**
   * The commit internal id.
   *
   * @var integer
   */
  public $cid;

  /**
   * The hash ID.
   *
   * @var string
   */
  public $hash;

  /**
   * The commit message.
   *
   * @var string
   */
  public $message;

  /**
   * The commit type.
   *
   * @var string
   */
  public $type;

  /**
   * The Unix timestamp when the commit happened.
   *
   * @var integer
   */
  public $time;

  /**
   * The branch where the commit was happened.
   *
   * @var string
   */
  public $branch;

  /**
   * The commit URL.
   *
   * @var string
   */
  public $url;

  /**
   * The list of files added by the commit.
   *
   * @var array
   */
  public $added_files;

  /**
   * The list of files removed by the commit.
   *
   * @var array
   */
  public $removed_files;

  /**
   * The list of files modified by the commit.
   *
   * @var array
   */
  public $modified_files;

  /**
   * E-mail of commit author.
   *
   * @var string
   */
  public $author_mail;

  /**
   * Name of commit author.
   *
   * @var string
   */
  public $author_name;

  /**
   * The repository name.
   *
   * @var string
   */
  public $repository_name;

  /**
   * The repository URL.
   *
   * @var string
   */
  public $repository_url;

  /**
   * Overrides Entity::defaultLabel().
   */
  public function defaultLabel() {
    return $this->message;
  }
}
