<?php

/**
 * @file
 * Definition of gitcommit_views_handler_field_mail.
 */

/**
 * Field handler that provides the option to display an e-mail address with a
 * "mailto:".
 *
 * @ingroup views_field_handlers
 */
class gitcommit_views_handler_field_mail extends views_handler_field {
  /**
   * Overrides views_handler_field::option_definition().
   */
  function option_definition() {
    $options = parent::option_definition();
    $options['mailto'] = array('default' => FALSE);
    return $options;
  }

  /**
   * Overrides views_handler_field::options_form().
   */
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['mailto'] = array(
      '#title' => t('Link this field with a mailto:'),
      '#type' => 'checkbox',
      '#default_value' => $this->options['mailto'],
    );
  }

  /**
   * Overrides views_handler_field::render().
   */
  function render($values) {
    $value = $this->sanitize_value($this->get_value($values));
    if (!empty($this->options['mailto'])) {
      $this->options['alter']['make_link'] = TRUE;
      $this->options['alter']['path'] = "mailto:" . $value;
    }
    return $value;
  }
}
