<?php

/**
 * Webhook Listener page callback.
 */
function gitcommit_webhook_listener($webhook, $commit_type = 'default') {
  try {
    $data = isset($_POST['payload']) ? drupal_json_decode($_POST['payload']) : array();
    $commits_data = module_invoke_all('gitcommit_webhook_processor', $data, $webhook);

    foreach ($commits_data as $values) {
      $values['type'] = $commit_type;
      $commit = gitcommit_create($values);
      gitcommit_save($commit);
    }
  }
  catch (Exception $e) {
    watchdog_exception('gitcommit_webhook', $e);
    return array(
      'success' => FALSE,
      'message' => $e->getMessage(),
    );
  }

  return array(
    'success' => TRUE,
    'message' => format_plural(sizeof($commits_data), '@count commit has been imported.', '@count commits have been imported.'),
  );
}
